## album-data 4.05

=== debian/changelog ===
album-data (4.05-3) unstable; urgency=low

  * Migrations:
      - debian format from 1.0 to 3.0.
      - debian/rules to new (reduced) format.
      - debhelper version from level 7 to 9.
  * debian/control:
      - Added libjs-swfobject as dependency.
      - Removed screenshot reference to album package from long description.
      - Updated long description (available translations).
      - Updated Standards-Version from 3.8.4 to 3.9.4.
      - Updated VCS from svn to git.
  * debian/copyright:
      - updated to new format (1.0).
      - updated packaging copyright years.
  * debian/dirs: removed; debian/install file will manage the directories now.
  * debian/examples: added to install examples files.
  * debian/install: created to install all upstream files.
  * debian/rules: remade the organization of the docs.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 20 Oct 2013 09:01:07 -0300

album-data (4.05-2) unstable; urgency=low

  * Removed debian/copyright2 (a mistake).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 13 Jan 2010 14:03:17 -0200

album-data (4.05-1) unstable; urgency=low

  * New upstream release.
  * Fixed license confusion. This package is non-free and -dfsg suffix was
    removed. The DropFloat theme was accepted now.
  * Added in debian/{control,README.Debian} a link to a website about
    screenshots of the themes.
  * Updated debian/README.Debian.
  * Updated debhelper version from 6 to 7.
  * debian/control:
     - Added ${misc:Depends} in Depends field.
     - Removed the suggests field. This package depends of the album and it
       already suggests apache2.
     - Updated Standards-Version from 3.8.0 to 3.8.3.
     - Updated short and long descriptions.
  * debian/copyright:
     - Updated packaging date and added the "copyright" word before
       the years.
     - Updated information about licenses used by upstream in source code.
  * debian/rules:
     - Added an override to maintain a blank directory to No-Theme theme.
     - Changed from dh_clean -k to dh_prep in install target.
     - Moved all {changelog,credit,readme,screenshot} files from main themes
       folders to /usr/share/doc/album-data/<theme>.
     - Removed unnecessary files.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 08 Jan 2010 11:04:58 -0200

album-data (4.03.dfsg-2) unstable; urgency=low

  * Changed priority from optional to extra, in debian/control, to make
    package compliant with Debian Policy (Section 2.5). album-data depends
    of the album package and it has priority extra.
  * Improved the regular expression in debian/watch (thanks to Rafael
    Laboissiere).

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 06 Jul 2008 20:22:06 -0300

album-data (4.03.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #487086).
  * Removed DropFloat theme from original tarball, licensed under CC-by-sa 2.5
    (please, see http://wiki.debian.org/DFSGLicenses for details).
  * Added a dfsg suffix to package name.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 19 Jun 2008 09:43:12 -0300
