=== debian/control ===
Source: album-data
Section: non-free/web
Priority: extra
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/album-data.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/album-data.git
Homepage: http://marginalhacks.com/Hacks/album

Package: album-data
Architecture: all
Depends: ${misc:Depends}, album, libjs-swfobject
Description: themes, plugins and translations for album
 Album is a perl script that can create HTML photo albums for your
 directories of images. This package provides themes, plugins and
 translations for Album.
 .
 The available languages are Catalan, Chinese, Czech, German, Spanish,
 French, Hebrew, Hungarian, Italian, Korean, Dutch, Polish, Russian,
 Swedish Chef, and Leet Hacker. The original Album package is in English.
 .
 Theme's demo site:     http://davepics.com/Theme_Album
 Translations status:   http://marginalhacks.com/Hacks/album/Languages.html
 Screenshots of themes: http://davepics.com/Theme_Album/
