=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DESTDIR =	$(CURDIR)/debian/album-data
DOCS	=	$(DESTDIR)/usr/share/doc/album-data
DOCSCHL =	$(DOCS)/changelogs
DOCSRDM =	$(DOCS)/readmes
DOCSSNP =	$(DOCS)/snapshots
AD_PATH =	$(DESTDIR)/usr/share/album-data
LANGS	=	$(AD_PATH)/lang
PLUGINS =	$(AD_PATH)/plugins
THEMES  =	$(AD_PATH)/Themes

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -rf lang License.txt plugins Themes WWW

override_dh_install:
	tar -xvzf data-*.tar.gz
	dh_install
# Removing trash, useless files and setting some perms
	find $(AD_PATH) -type f -not -name banner -and -not -name .pl -exec chmod 644 "{}" \;
	find $(THEMES) -name "Thumbs.db" -delete -or -name ".DS_Store" -delete -or \
	               -name LICENSE -delete -or -name COPYING -delete -or -name thumb.jpg -delete \
	               -or -iname credit -delete
	find $(THEMES) -name CVS -prune -exec rm -rf {} \;
	rm -rf $(PLUGINS)/captions/exif/exiftool/lib/File/tn
	rm -f $(LANGS)/banner
	rm -f $(THEMES)/Stars/custom_theme.zip
	rm -rf $(THEMES)/Craftsman/src
	rm -rf $(THEMES)/AlfredsWorld/Gimp
	rm -rf $(THEMES)/DropPurple/Other_Colors/XCF_GIMP_files
	chmod 755 $(PLUGINS)/captions/exif/p $(PLUGINS)/captions/exif/exiftool.pl

override_dh_installdocs:
	dh_installdocs
# Move READMEs to usr/share/doc
	mkdir -p $(DOCSRDM)
	for readtheme in `find $(THEMES)|grep -i readme`; do \
	    readthemename=`echo $$readtheme|sed 's/Themes\/\|\/readme/;/gi'|cut -d";" -f2|tr '/[A-Z]' '.[a-z]'`; \
	    mv $$readtheme $(DOCSRDM)/README.$$readthemename; \
	done
	mv $(THEMES)/IFI_Emboss/USAGE $(DOCSRDM)/README.ifi_emboss.USAGE
	mv $(THEMES)/Uptight/NOTES $(DOCSRDM)/README.uptight.NOTES
# Move snapshots to usr/share/doc
	mkdir -p $(DOCSSNP)
	for snapshottheme in `find $(THEMES)|grep -i snapshot.jpg`; do \
	    snapshotthemename=`echo $$snapshottheme|sed 's/Themes\/\|\/snapshot.jpg/;/gi'|cut -d";" -f2|tr '/[A-Z]' '.[a-z]'`; \
	    mv $$snapshottheme $(DOCSSNP)/$$snapshotthemename; \
	done
# Move changelogs to usr/share/doc
	mkdir -p $(DOCSCHL)
	for changelogtheme in `find $(THEMES)|grep -i changelog`; do \
	    changelogthemename=`echo $$changelogtheme|sed 's/Themes\/\|\/changelog/;/gi'|cut -d";" -f2|tr '/[A-Z]' '.[a-z]'`; \
	    mv $$changelogtheme $(DOCSCHL)/$$changelogthemename; \
	done

override_dh_installchangelogs:
# Upstream changelog
	dh_installchangelogs WWW/web/MarginalHacks.com/bin/album.versions/data-changelog

override_dh_link:
# Link to album
	dh_link usr/share/album-data usr/share/album
# Solving the problem of the swfobject.js embeded.
	rm -f $(PLUGINS)/media/flv/swfobject.js
	dh_link usr/share/javascript/swfobject/swfobject.js usr/share/album-data/plugins/media/flv/swfobject.js

override_dh_installexamples:
	dh_installexamples debian/album-data.conf lang/banner

override_dh_compress:
	dh_compress -Xusr/share/doc/album-data/examples/banner
