=== debian/watch ===
version=3
http://marginalhacks.com/bin/album.versions/data-(.*)(?:\.tar\.gz|\.zip)
